Glavni u kompjuterskoj sigurnosti je entitet koji može biti ovjeren od strane računara ili mreže, te se naziva glavno obezbjeđenje/sigurnost u Java i Microsoft literaturi. "What Are Security Principals?" , docs.microsoft.com , 19. april 2017. Engleska riječ principal - glavni, veoma često se mijena sa također engleskom riječju principle - princip!
Glavni mogu biti pojedinačni ljudi, računari, usluge, računarski entiteti kao što su procesi i niti (treads), ili bilo koja grupa takvih stvari. "What Are Security Principals?" , docs.microsoft.com , 19. april 2017. Potrebno ih je identifikovati i autentifikovati prije nego im se dodijele prava i privilegije nad resursima u mreži. Glavni tip obično ima pridruženi identifikator (kao što je sigurnosni identifikator) koji dozvoljava da bude referentan za identifikaciju ili dodjeljivanje svojstava i dozvola.
Reference
Vanjski linkovi
RFC 2744 - Generic Security Service API Version 2. RFC 5397 - WebDAV Current Principal Extension. RFC 4121 - Interfejs aplikacijskog programskog paketa Kerberos Verzija 5 (GSS-API): Verzija 2.
Kategorija:Sigurnost računara Kategorija:Računarska terminologija Kategorija:Termini u računarstvu